<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Troubleticket
 * @package    QuickTicket
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.1.1 build:20090414
 * @link       http://www.qt-cute.org/doc/package/qti
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qti_init.php');
if ( !$oVIP->CanAccess('MUV',4) ) HtmlPage(101);

// INITIALISE

include('bin/qti_fn_limitsql.php');

$bMap = UseModule('map');
if ( $bMap ) { if ( empty($_SESSION[QT]['m_map_gkey']) ) $bMap=false; }
if ( $bMap ) { require_once('qtim_map_lib.php'); if ( !QTgcanmap('U',$oVIP->role) ) $bMap=false; }
if ( $bMap ) include(Translate('qtim_map.php'));

$strGroup = 'all';
$strOrder = 'name';
$strDirec = 'ASC';
$intLimit = 0;
$intPage = 1;

// security check 1
if ( isset($_GET['group']) ) $strGroup = strip_tags($_GET['group']);
if ( isset($_GET['order']) ) $strOrder = strip_tags($_GET['order']);
if ( isset($_GET['dir']) ) $strDirec = strip_tags($_GET['dir']);
if ( isset($_GET['page']) ) $intPage = intval(strip_tags($_GET['page']));
if ( isset($_GET['view']) ) $_SESSION[QT]['viewmode'] = strip_tags($_GET['view']);

// security check 2 (no long argument)
if ( strlen($strGroup)>4 ) die('Invalid argument #group');
if ( strlen($strOrder)>12 ) die('Invalid argument #order');
if ( strlen($strDirec)>4 ) die('Invalid argument #dir');

$intLimit = ($intPage-1)*$_SESSION[QT]['topics_per_page'];

$oVIP->selfurl = 'qti_members.php';
$oVIP->selfname = $L['Memberlist'];

// --------
// HTML START
// --------

if ( $bMap )
{
  $arrMapPoints = array();
  $strHeadScript = QTgmapheader('http://gmaps-utility-library.googlecode.com/svn/trunk/markermanager/release/src/markermanager.js');
  $strBodyAddOnunload='GUnload()';
}

include('qti_p_header.php');

// --------
// Title and top 5
// --------

// make groups line

$strGroups = '<td class="button_small" style="width:35px;">'.($strGroup=='all' ? '<b>'.$L['All'].'</b>' : '<a class="button" href="'.$oVIP->selfurl.'?group=all">'.$L['All'].'</a>' ).'</td>'.N;
for ($g='A';$g!='AA';$g++)
{
$strGroups .= '<td class="button_small" style="width:18px;">'.($strGroup==$g ? '<b>'.$g.'</b>' : '<a class="button" href="'.$oVIP->selfurl.'?group='.$g.'">'.$g.'</a>' ).'</td>'.N;
}
$strGroups .= '<td class="button_small" style="width:18px;">'.($strGroup=='0' ? '<b>#</b>' : '<a class="button" href="'.$oVIP->selfurl.'?group=0">#</a>' ).'</td>'.N;
$strGroups .= '<td class="hidden">&nbsp;</td>'.N;

  // refine query
  Switch ($strGroup)
  {
  Case 'all':   $where = ''; Break;
  Case '0':   $where = ' WHERE '.FirstCharCase('name','a-z'); Break;
  Default:   $where = ' WHERE '.FirstCharCase('name','u').'="'.$strGroup.'"'; Break;
  }

  // count query
  if ($strGroup=='all')
  {
  $intCount = $oSYS->members;
  }
  else
  {
  $oDB->Query('SELECT count(id) as countid FROM '.TABUSER.$where);
  $row = $oDB->Getrow();
  $intCount = $row['countid'];
  }

// header

echo '<table class="hidden" cellspacing="0">',N;
echo '<tr class="hidden">',N;
echo '<td class="hidden"><h2>',$oVIP->selfname,'</h2><p>',($strGroup=='all' ? $oSYS->members.' '.$L['Users'] : $intCount.' / '.$oSYS->members.' '.$L['Users'] ),'</p></td>',N;
echo '<td class="hidden" style="width:170px;">',N;
echo '<div class="legendbox">',N;
echo '<p class="legendtitle">',$L['Top_participants'],'</p>',N;
echo '<table class="hidden" cellspacing="0">',N;

//-- LIMIT QUERY --
$strState = 'name, id, numpost FROM '.TABUSER.' WHERE id>0';
$strQ = LimitSQL($strState,'numpost DESC',0,5);
$oDB->Query($strQ);
// --------

For ($i=0;$i<5;$i++)
{
$row = $oDB->Getrow();
if (!$row) break;
echo '<tr class="hidden"><td style="text-align:left"><a href="qti_usr.php?id=',$row['id'],'">',$row['name'],'</a></td><td style="text-align:right">',$row['numpost'],'</td></tr>',N;
}
echo '</table>
</div>
</td>
</tr>
</table>
';

// --------
// Button line and pager
// --------

// -- build pager --

$strPager = MakePager("qti_members.php?group=$strGroup&order=$strOrder&dir=$strDirec",$intCount,$_SESSION[QT]['topics_per_page'],$intPage);
if ( !empty($strPager) ) $strPager = $L['Page'].$strPager;
if ( $intCount<$oSYS->members ) $strPager = '<span class="small">'.$intCount.' '.$L['Selected_from'].' '.$oSYS->members.' '.strtolower($L['Users']).'</span>'.(empty($strPager) ? '' : ' | '.$strPager);

// -- Display button line (if more that tpp users) and pager --

if ($oSYS->members>$_SESSION[QT]['topics_per_page']) echo '<table class="button" cellspacing="0" >',N,'<tr class="button">',N,$strGroups,'</tr>',N,'</table>',N,N;

if ( !empty($strPager) )
{
echo '<table class="hidden" cellspacing="0"><tr><td class="hidden" id="pager_zt">',$strPager,'</td></tr></table>',N,N;
}

// end if no result
if ($intCount==0)
{
  echo '<p>'.$L['None'].'</p><br/>';
  include('qti_p_footer.php');
  exit;
}

// --------
// Memberlist
// --------

$bCompact = FALSE;
if ( $_SESSION[QT]['avatar']=='0' ) $bCompact = true;
if ( $_SESSION[QT]['viewmode']=='C' ) $bCompact = true;

echo '<table class="data_t" cellspacing="0">',N;
echo '<tr class="data_t">',N;

/* ======== */
$arrFields = array();
if ( $bCompact )
{
$arrFields['name'] = array('text'=>$L['Username'],'sort'=>TRUE,'thclass'=>'th_t th_t_usr th_t_first','thstyle'=>'width:150px');
}
else
{
$arrFields['photo'] = array('text'=>$L['Avatar'],'thclass'=>'th_t th_t_sta th_t_first','thstyle'=>'width:150px');
$arrFields['name'] = array('text'=>$L['Username'],'sort'=>TRUE,'thclass'=>'th_t th_t_usr');
}
$arrFields['role'] = array('text'=>$L['Role'],'sort'=>TRUE,'thclass'=>'th_t th_t_sta');
$arrFields['location']= array('text'=>$L['Location'],'sort'=>TRUE,'thclass'=>'th_t th_t_sta');
if ( $bCompact )
{
$arrFields['mail'] = array('text'=>$L['Email'],'thclass'=>'th_t th_t_sta','thstyle'=>'width:25px');
$arrFields['www'] = array('text'=>'www','thclass'=>'th_t th_t_sta','thstyle'=>'width:25px');
}
$arrFields['firstdate']=array('text'=>$L['Joined'],'sort'=>TRUE,'thclass'=>'th_t th_t_sta');
$arrFields['numpost'] = array('text'=>$L['Messages'],'sort'=>TRUE,'thclass'=>'th_t th_t_sta th_t_last');
/* ======== */
TableHeader($arrFields,$intCount,"$oVIP->selfurl?group=$strGroup&amp;page=1",$strOrder,$strDirec);
/* ======== */

echo '</tr>',N;

/* ======== */
$strState = '* FROM '.TABUSER.$where;
$oDB->Query( LimitSQL($strState,$strOrder.' '.$strDirec,$intLimit,$_SESSION[QT]['topics_per_page'],$intCount) );
/* ======== */
$intWhile=0;
$strAlt='r1';
while($row=$oDB->Getrow())
{
  TableRow($arrFields,$row,false,null,$strAlt);
  if ( $strAlt=='r1' ) { $strAlt='r2'; } else { $strAlt='r1'; }
  if ( $bMap )
  {
    // privacy control for map    
    if ( $row['privacy']=='0' && $oVIP->role=='V' ) $row['x']=0;
    if ( $row['privacy']=='0' && $oVIP->role=='U' ) $row['x']=0;
    if ( $row['privacy']=='1' && $oVIP->role=='V' ) $row['x']=0;

    // map settings
    if ( !empty($row['x']) && !empty($row['y']) )
    {
      $str = $row['name'].'<br/><br/><a class="gmap" href="qti_usr.php?id='.$row['id'].'">Open profile &raquo;</a>';
      if ( !empty($row['photo']) ) 
      {
      $str = '<table class="gmap"><tr><td>'.AsImg(QTI_DIR_PIC.$row['photo'],'',$row['name'],'imagelist').'</td><td>'.$str.'</td></tr></table>';
      }
      $oMapPoint = new cMapPoint( floatval($row['y']),floatval($row['x']),QTconv($row['name'],'-4'),$str );
      if ( isset($_SESSION[QT]['m_map_gsymbol']) )
      {
        $oMapPoint->icon = QTgetsymbol($row['role'],'icon');
        $oMapPoint->shadow = QTgetsymbol($row['role'],'shadow');
        $oMapPoint->printicon = QTgetsymbol($row['role'],'printicon');
        $oMapPoint->printshadow = QTgetsymbol($row['role'],'printshadow');
      }
      $arrMapPoints[intval($row['id'])] = $oMapPoint;
    }
  }
  $intWhile++; 
  //odbcbreak
  if ( $intWhile>=$_SESSION[QT]['topics_per_page'] ) break;  
}
/* ======== */

echo '<tr class="data_t">',N;
echo '<td class="tf_t tf_t_first"></td>',N;
For ($i=0;$i<(count($arrFields)-2);$i++)
{
echo '<td class="tf_t"></td>',N;
}
echo '<td class="tf_t tf_t_last"></td>
</tr>
</table>
';

// -- Display pager --

if ( !empty($strPager) )
{
echo '<table class="button" cellspacing="0"><tr class="button"><td class="hidden" id="pager_zb">',$strPager,'</td></tr></table>',N,N;
}

// MAP MODULE

if ( $bMap )
{
  if ( count($arrMapPoints)==0 )
  {
  echo '<p class="gmap">'.$L['map']['E_noposition'].'</p>';
  }
  else
  {
     //select zoomto (maximum 15 items in the list)
     if ( count($arrMapPoints)>1 )
     {
       $str = '<p class="gmap" style="margin:0 0 4px 0"><a class="gmap" href="javascript:void(0)" onclick="zoomToFullExtend(); return false;">'.$L['map']['zoomtoall'].'</a> | '.$L['Goto'].' <select class="gmap" id="zoomto" name="zoomto" size="1" onchange="map.setCenter(eval(this.value));">';
       $str .= '<option class="gmap" value="new GLatLng('.QTgety($_SESSION[QT]['m_map_gcenter']).','.QTgetx($_SESSION[QT]['m_map_gcenter']).')"> </option>';
       $i=0;
       foreach($arrMapPoints as $intKey=>$oMapPoint)
       {
       $str .= '<option class="gmap" value="new GLatLng('.$oMapPoint->y.','.$oMapPoint->x.')">'.$oMapPoint->title.'</option>';
       $i++; if ( $i>15 ) break;
       }
       $str .= '</select></p>';
     }
  echo '
  <table class="hidden" style="margin-top:5px;">
  <tr class="hidden">
  <td class="gmap">
  ',( count($arrMapPoints)>1 ? $str :'' ),'
  <div id="map_canvas" style="width:100%; height:350px;"></div>
  <p class="gmap" style="margin:4px 0 0 0">',sprintf($L['map']['items'],strtolower( LangS('User',count($arrMapPoints))),strtolower(LangS('User',$oSYS->members)) ),'</p>
  </td>
  </tr>
  </table>
  ';
  }
}

// HTML END

if ( $bMap ) {
if ( count($arrMapPoints)>0 ) {

  $y = floatval(QTgety($_SESSION[QT]['m_map_gcenter']));
  $x = floatval(QTgetx($_SESSION[QT]['m_map_gcenter']));

  // center on the first ticket
  foreach($arrMapPoints as $intKey=>$oMapPoint)
  {
    if ( !empty($oMapPoint->y) && !empty($oMapPoint->x) )
    {
    $y = $oMapPoint->y;
    $x = $oMapPoint->x;
    break;
    }
  }

  $strFooterAddScript = QTgmappoints($L['map'],$y,$x,'click',$arrMapPoints).N.'mapload();';

}}

include('qti_p_footer.php');

?>
