<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Troubleticket
 * @package    QuickTicket
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.1 build:20090411
 * @link       http://www.qt-cute.org/doc/package/qti
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qti_init.php');
$oSYS->output='print';
if ( !$oVIP->CanAccess('MUV',3,true) ) HtmlPage(101);

// INITIALISE

if (!isset($_GET['s'])) die('Missing section id...');
$s = intval($_GET['s']);
if (!isset($_GET['t'])) die('Missing topic id...');
$t = intval($_GET['t']);

include('bin/qti_fn_limitsql.php');

$oSEC = new cSection(intval($_GET['s']));
$oTopic = new cTopic(intval($_GET['t']),$oVIP->id);

  if ( $oSEC->type==1 && ($oVIP->role=='V' || $oVIP->role=='U') )
  {
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjTrans('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,$L['R_staff'],$_SESSION[QT]['skin_dir'],0);
  }
  if ( $oSEC->type==2 && $oVIP->role=='V' )
  {
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjTrans('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,$L['R_member'],$_SESSION[QT]['skin_dir'],0);
  }

  if ( $oSEC->type==2 && $oVIP->role=='U' && $oTopic->firstpostuser != $oVIP->id )
  {
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjTrans('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,$L['E_topic_private']."<br/>".$L['R_member'],$_SESSION[QT]['skin_dir'],0);
  }

$strCommand= '';
$intLimit = 0;
$PAGEcurr = 1;
if (isset($_GET['page'])) { $intLimit = ($_GET['page']-1)*$_SESSION[QT]['replies_per_page']; $PAGEcurr=$_GET['page']; }
if (isset($_GET['view'])) { $_SESSION[QT]['viewmode'] = $_GET['view']; }

$oVIP->selfurl = 'qti_topic.php';
$oVIP->exiturl = 'qti_topics.php?s='.$_GET['s'];
$oVIP->selfname = $L['Messages'];

// MAP MODULE

$bMap = UseModule('map');
if ( $bMap ) { if ( empty($_SESSION[QT]['m_map_gkey']) ) $bMap=false; }
if ( $bMap ) { require_once('qtim_map_lib.php'); if ( !QTgcanmap($s) ) $bMap=false; }
if ( $bMap ) include(Translate('qtim_map.php'));

// --------
// HTML START
// --------

if ( $bMap ) {
if ( !empty($oTopic->x) && !empty($oTopic->y) ) {
  $strHeadScript = QTgmapheader();
  $strBodyAddOnunload='GUnload()';
}}

include('qti_p_header.php');

echo '<p>',$oSEC->name,'</p>
<h2>',( $oSEC->numfield=='N' ? '' : sprintf($oSEC->numfield,$oTopic->numid).' &middot; ' ),$oSYS->statuses[$oTopic->status]['statusname'],'</h2>';

// map module
if ( $bMap )
{
  if ( !empty($oTopic->y) && !empty($oTopic->x) )
  {
  if ( $_SESSION[QT]['viewmode']=='C' )
  {
  echo '
  <div class="gmap" style="margin-bottom:5px;width:375px;">
  <div id="map_canvas" style="width:100%; height:200px;"></div>
  </div>
  ';
  }
  else
  {
  echo '
  <div class="gmap" style="margin-bottom:5px;width:500px;">
  <div id="map_canvas" style="width:100%; height:350px;"></div>
  </div>
  ';
  }
  }
  else
  {
  echo '<p class="gmap">'.$L['map']['E_noposition'].'</p>';
  }
}

// COUNT RECORDS

$oDB->Query('SELECT count(*) as countid FROM '.TABPOST.' p WHERE p.forum='.$oSEC->id.' AND p.topic='.$oTopic->id);
$row = $oDB->Getrow();
$intPosts = $row['countid'];

// CONTENT

// -- stop if no post (or user not creator) --

if ( $intPosts==0 )
{
  echo '<br/>',$L['None'],'... ',$L['E_topic_private'],'<br/><br/>',N;
  include('qti_p_footer.php');
  exit;
}

/* ====== */
$state = 'p.*, u.role, u.location, u.photo, u.signature FROM '.TABPOST.' p, '.TABUSER.' u WHERE p.userid = u.id AND p.topic='.$oTopic->id;
$oDB->Query( LimitSQL($state,'p.id ASC',$intLimit,$_SESSION[QT]['replies_per_page'],$intPosts) );
/* ====== */
$iMsgNum = $intLimit;
$intWhile= 0;
$strAlt  = 'r1';
/* ====== */
while ( $row=$oDB->Getrow() )
{
  $iMsgNum = $iMsgNum+1;
  $oPost = new cPost($row,$iMsgNum);
  if ( $_SESSION[QT]['viewmode']=='C' ) $oPost->text = QTcompactline($oPost->text);
  $strButton = '';
  if ( !empty($oPost->modifuser) ) $strButton .= '<td class="td_line"><span class="small">&nbsp;'.$L['Modified_by'].' <a href="qti_usr.php?id='.$oPost->modifuser.'" class="small">'.$oPost->modifname.'</a> ('.QTdatestr($oPost->modifdate).')</span></td>'.N;
  if ( !empty($strButton) ) $strButton .= '<td class="hidden">'.S.'</td>'.N;
  if ( !empty($strButton) ) $strButton = '<table class="hidden" cellspacing="0" style="margin:10px 0 1px 0;"><tr>'.$strButton.'</tr></table>'.N;

  // SHOW MESSAGE

  $oPost->Show($oSEC,$oTopic,true,$strButton,'',$_SESSION[QT]['skin_dir'],$strAlt);
  if ( $strAlt=='r1' ) { $strAlt='r2'; } else { $strAlt='r1'; }
  $intWhile++;

  // SHOW TAGS
  
  if ( $oPost->type=='P' && $_SESSION[QT]['tags']!='0' ) {
  if ( !empty($oTopic->tags) ) {
    $arrTags=explode(';',$oTopic->tags);
    echo '<div class="tags">',$L['Tags'],': ';
    foreach($arrTags as $strTag)
    {
    echo $strTag,'&nbsp; ';
    }  
    echo '</div>';
  }}
}
/* ====== */

// --------
// HTML END
// --------

if ( $bMap ) {
if ( !empty($oTopic->y) && !empty($oTopic->x) ) {

  $y = floatval($oTopic->y);
  $x = floatval($oTopic->x);
  $str = ( $oSEC->numfield=='N' ? '' : sprintf($oSEC->numfield,$oTopic->numid) );

  $oMapPoint = new cMapPoint($y,$x,$str);
  if ( isset($_SESSION[QT]['m_map'][$s]['icon']) )        $oMapPoint->icon        = $_SESSION[QT]['m_map'][$s]['icon'];
  if ( isset($_SESSION[QT]['m_map'][$s]['shadow']) )      $oMapPoint->shadow      = $_SESSION[QT]['m_map'][$s]['shadow'];
  if ( isset($_SESSION[QT]['m_map'][$s]['printicon']) )   $oMapPoint->printicon   = $_SESSION[QT]['m_map'][$s]['printicon'];
  if ( isset($_SESSION[QT]['m_map'][$s]['printshadow']) ) $oMapPoint->printshadow = $_SESSION[QT]['m_map'][$s]['printshadow'];
  $arrMapPoints = array( $oMapPoint );

  $strFooterAddScript = QTgmappoints($L['map'],$y,$x,'',$arrMapPoints,false,$_SESSION[QT]['viewmode']=='C').N.'mapload();';

}}

include('qti_p_footer.php');

?>